summaryrefslogtreecommitdiffstats
path: root/academic/archaeopteryx/archaeopteryx.SlackBuild
diff options
context:
space:
mode:
author Petar Petrov <slackalaxy@gmail.com>2017-04-16 21:34:01 +0100
committer Willy Sudiarto Raharjo <willysr@slackbuilds.org>2017-04-22 08:10:38 +0700
commit8cbb2a6d7759e313245112536fa3599a981a604d (patch)
tree28e7bfe65a143e8eedaf226c530e084383d8ea25 /academic/archaeopteryx/archaeopteryx.SlackBuild
parentd0084411ce47e94fdca9f38fad163d4018f98553 (diff)
downloadslackbuilds-8cbb2a6d7759e313245112536fa3599a981a604d.tar.gz
slackbuilds-8cbb2a6d7759e313245112536fa3599a981a604d.tar.xz
academic/archaeopteryx: Added (phylogenetic trees).
Renamed from 'archeopteryx' and upgraded for version 0.9920_beta. Signed-off-by: David Spencer <idlemoor@slackbuilds.org>
Diffstat (limited to 'academic/archaeopteryx/archaeopteryx.SlackBuild')
-rw-r--r--academic/archaeopteryx/archaeopteryx.SlackBuild64
1 files changed, 64 insertions, 0 deletions
diff --git a/academic/archaeopteryx/archaeopteryx.SlackBuild b/academic/archaeopteryx/archaeopteryx.SlackBuild
new file mode 100644
index 0000000000..9f19564a17
--- /dev/null
+++ b/academic/archaeopteryx/archaeopteryx.SlackBuild
@@ -0,0 +1,64 @@
+#!/bin/sh
+
+# Slackware build script for archaeopteryx
+
+# Copyright 2014-2017 Petar Petrov slackalaxy@gmail.com
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=archaeopteryx
+VERSION=${VERSION:-0.9920_beta}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+SRCNAM=forester
+SRCVER=1045
+ARCH=noarch
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+
+install -D -m755 $CWD/${SRCNAM}_${SRCVER}.jar $PKG/usr/bin/$PRGNAM.jar
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+# Include the example configuration file in the package. Copy it in your $HOME.
+mkdir -p $PKG/usr/share/$PRGNAM
+cp $CWD/_aptx_configuration_file.txt $PKG/usr/share/$PRGNAM
+
+# I did not find an icon, so I quickly modified some picture of an archaeopteryx...
+mkdir -p $PKG/usr/share/{applications,pixmaps}
+cp $CWD/$PRGNAM.desktop $PKG/usr/share/applications
+cp $CWD/$PRGNAM.png $PKG/usr/share/pixmaps
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}